function [ sensor_data , sensor ,imp_resp, freq_resp ] = COMP_impulse( list_plane, kgrid, medium, source, signal )
%UNTITLED12 Summary of this function goes here

display_mask = source.p_mask;
sensor.mask = zeros(kgrid.Nx, kgrid.Ny, kgrid.Nz);
% =========================================================================
% MICROPHONES
% =========================================================================
% MICROPHONES POSITIONS
sensor.mask(round(2/kgrid.dx), round(4/kgrid.dy), list_plane) = 1;
sensor.mask(round(3/kgrid.dx), round(10/kgrid.dy), list_plane) = 1;
sensor.mask(round(4/kgrid.dx), round(6/kgrid.dy), list_plane) = 1;
sensor.mask(round(6/kgrid.dx), round(8/kgrid.dy), list_plane) = 1;
sensor.record = {'p'};

% =========================================================================
% COMPUTING
% =========================================================================
input_args = {'DisplayMask', display_mask, 'PMLInside', false, 'PlotPML', false,'PlotSim', false};
sensor_data = kspaceFirstOrder3D(kgrid, medium, source, sensor, input_args{:});
[ imp_resp, freq_resp] = analyzeImpResp( signal, sensor_data ,kgrid)
end

